Skip to main content
GET
Get a vessel using the imo
This is a paid Routing Data endpoint. It returns only vessels on your account’s actively tracked shipments. See Vessel data access for the 401, 403, and 404 responses.

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

imo
string
required

Query Parameters

show_positions[from_timestamp]
string<date-time>

ISO 8601 timestamp to filter positions from. 7 days by default.

Example:

"2025-05-20T00:00:00Z"

show_positions[to_timestamp]
string<date-time>

ISO 8601 timestamp to filter positions up to. Current time by default.

Example:

"2025-05-24T00:00:00Z"

Response

OK

data
vessel · object